polybori::CCompareEnums Class Reference

This struct contains type definitions and enumerations to be used for comparisons. More...

`#include <pbori_defs.h>`

Inheritance diagram for polybori::CCompareEnums:

## Public Types

enum | comparecodes { less_than = -1, equality = 0, greater_than = +1, less_or_equal_max = 0, greater_or_equal_min = 0 }
| Comparision codes enumeration. More...
enum | { max_idx = ((DdHalfWord) ~0) }

## Detailed Description

This struct contains type definitions and enumerations to be used for comparisons.

## Member Enumeration Documentation

anonymous enum

Enumerator
max_idx |

enum polybori::CCompareEnums::comparecodes

Comparision codes enumeration.

Enumerator
less_than |
equality |
greater_than |
less_or_equal_max |
greater_or_equal_min |

The documentation for this class was generated from the following file:

- pbori_defs.h